**Journal de bord**

# 1 Notes pour écrire sur gitlab 

_italique_ ou *italique*, __gras__ ou **gras**,

un hyperlien :   [Google Footbal](https://www.google.com/search?client=firefox-b-d&q=footbal)

une image :

![une photo de chat](https://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Collage_of_Six_Cats-02.jpg/290px-Collage_of_Six_Cats-02.jpg)

Pour faire une liste à puce : 
- 1er élément;
- 2ème élément;
- 3ème élément

pour faire une énumération:

1. Banane
2. Fraise
3. Mangue
4. Pêche.

Imbriquer :

1. Chelsea
    - Kanté
    - Drogba
    - Lampard
2. Man City
    - De Bryune
    - Foden
    - Aguero

Ecrire du code : `code`

Lettres grecques
Symbole 	Commande
\(\alpha\) 	$\alpha$
\(\beta\) 	$\beta$
\(\gamma\) 	$\gamma$
\(\Gamma\) 	$\Gamma$
\(\pi\) 	$\pi$
Fonctions et opérateurs
Symbole 	Commande
\(\cos\) 	$\cos$
\(\sin\) 	$\sin$
\(\lim\) 	$\lim$
\(\exp\) 	$\exp$
\(\to\) 	$\to$
\(\in\) 	$\in$
\(\forall\) 	$\forall$
\(\exists\) 	$\exists$
\(\equiv\) 	$\equiv$
\(\sim\) 	$\sim$
\(\approx\) 	$\approx$
\(\times\) 	$\times$
\(\le\) 	$\le$
\(\ge\) 	$\ge$
Exposants et indices
Symbole 	Commande
\(k_{n+1}\) 	$k_{n+1}$
\(n^2\) 	$n^2$
\(k_n^2\) 	$k_n^2$
Fractions, coefficients binomiaux, racines…
Symbole 	Commande
\(\frac{4z^3}{16}\) 	$\frac{4z^3}{16}$
\(\frac{n!}{k!(n-k)!}\) 	$\frac{n!}{k!(n-k)!}$
\(\binom{n}{k}\) 	$\binom{n}{k}$
\(\frac{\frac{x}{1}}{x - y}\) 	$\frac{\frac{x}{1}}{x - y}$
\(^3/_7\) 	$^3/_7$
\(\sqrt{k}\) 	$\sqrt{k}$
\(\sqrt[n]{k}\) 	$\sqrt[n]{k}$
Sommes et intégrales
Symbole 	Commande
\(\sum_{i=1}^{10} t_i\) 	$\sum_{i=1}^{10} t_i$
\(\int_0^\infty \mathrm{e}^{-x}\,\mathrm{d}x\) 	$\int_0^\infty \mathrm{e}^{-x}\,\mathrm{d}x$
Déguisements
Symbole 	Commande
\(\hat{a}\) 	$\hat{a}$
\(\bar{a}\) 	$\bar{a}$
\(\dot{a}\) 	$\dot{a}$
\(\ddot{a}\) 	$\ddot{a}$
\(\overrightarrow{AB}\) 	$\overrightarrow{AB}$

# 2 Carnet de bord et réponses pertinantes aux exercices

## Module 1

_Qu’est-ce qu’un fichier texte ?_
Un fichier dont le contenu est fait de caractères UTF-8

_Un document computationnel permet de :_
- Améliorer la traçabilité d’un calcul
- Présenter facilement ses travaux à des collègues
- Accéder à l’ensemble des calculs sous-jacents à une analyse

_Dans les études que nous vous avons présentées, qu'est-ce qui empêche, parfois pendant plusieurs années, le débat sur la pertinence d’une étude ?_
- La non publication des procédures de calcul 
- La non publication des données utilisées

_Dans les différents exemples présentés (économie, IRM, cristallographie), quelles sont les principales causes d’erreurs ?_
- Acquisition des données (biais, calibrage de la machine, etc.)
- Erreurs de calcul
- Traitements de données ou statistiques inadaptés

_Quelles sont les conséquences du manque de transparence ?_
- Il est difficile de s’appuyer sur le travail des autres
- Les articles contiennent moins d'information (pas de détails sur les calculs, protocoles expérimentaux, analyse de données, etc.) et sont donc plus faciles à lire
- Il est difficile de vérifier et de reproduire les analyses présentées dans les articles
- Deux articles peuvent présenter des résultats en contradiction apparente les uns avec les autres, tout en étant tous deux parfaitement corrects, le manque de détails empêchant de déterminer les conditions exactes d'application

_Quelles sont les causes techniques principales derrière les difficultés à reproduire les travaux de quelqu’un d’autre ?_
- Le manque de documentation sur les choix effectués
- Les logiciels graphiques interactifs qui masquent les détails du calcul
- Les erreurs de calcul
- La perte de données (pas de backup ou bien format plus lisible) 

_Quelles solutions sont évoquées ?_
- Le cahier de laboratoire
- La revue de code et l’intégration continue
- L’utilisation de gestionnaire de version et de plusieurs mécanismes de sauvegardes automatique

_Que trouve-t-on généralement dans un document computationnel ?_
- Des commentaires
- Du code
- Un aperçu des données
- Les résultats de calculs
- Des liens hypertextes
- Des images 

_Que permet un document computationnel ?_
- Inspecter les calculs
- Réexécuter facilement les calculs si l'environnement d'origine est disponible
- Documenter le code
- Expliquer pourquoi tel ou tel calcul est effectué en fonction des données analysées
- Faire des tests de non régression systématiques
- Utiliser plusieurs langages pour faire des calculs (même si cela peut demander un peu de travail)

_Qu’est-ce qu’un environnement comme Jupyter apporte par rapport à travailler dans la console Python ou bien exécuter directement des scripts R ?_
- Il permet d'avoir un historique bien structuré des analyses effectuées .
- Il permet d’inspecter les données, de garder une trace de cette inspection, et d’expliquer au fur et à mesure les transformations que l’on effectue .
- Il sauvegarde les résultats intermédiaires, qu’ils soient textuels ou graphiques .
- Il intègre une intelligence artificielle qui rédige les articles pour vous et corrige votre code .
- Il vous permet de générer des documents au format HTML ou PDF .
- Il permet de s’assurer que la figure obtenue est bien le résultat du calcul décrit dans le document . 

